Exploit/Advisories no image

Published on June 8th, 2024 📆 | 2497 Views ⚑

0

Red Hat Security Advisory 2024-3668-03 – Torchsec


Powered by iSpeech

The following advisory data is extracted from:

https://access.redhat.com/security/data/csaf/v2/advisories/2024/rhsa-2024_3668.json

Red Hat officially shut down their mailing list notifications October 10, 2023. Due to this, Packet Storm has recreated the below data as a reference point to raise awareness. It must be noted that due to an inability to easily track revision updates without crawling Red Hat's archive, these advisories are single notifications and we strongly suggest that you visit the Red Hat provided links to ensure you have the latest information available if the subject matter listed pertains to your environment.

- Packet Storm Staff

====================================================================
Red Hat Security Advisory

Synopsis: Moderate: ruby:3.1 security, bug fix, and enhancement update
Advisory ID: RHSA-2024:3668-03
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2024:3668
Issue date: 2024-06-06
Revision: 03
CVE Names: CVE-2024-27280
====================================================================

Summary:

An update for the ruby:3.1 module is now available for Red Hat Enterprise Linux 9.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Description:

Ruby is an extensible, interpreted, object-oriented, scripting language. It has features to process text files and to perform system management tasks.

The following packages have been upgraded to a later upstream version: ruby (3.1). (RHEL-35449)





Security Fix(es):

* ruby: Buffer overread vulnerability in StringIO (CVE-2024-27280)

* ruby: RCE vulnerability with .rdoc_options in RDoc (CVE-2024-27281)

* ruby: Arbitrary memory address read vulnerability with Regex search (CVE-2024-27282)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution:

https://access.redhat.com/articles/11258

CVEs:

CVE-2024-27280

References:

https://access.redhat.com/security/updates/classification/#moderate
https://bugzilla.redhat.com/show_bug.cgi?id=2270749
https://bugzilla.redhat.com/show_bug.cgi?id=2270750
https://bugzilla.redhat.com/show_bug.cgi?id=2276810

Source link

Tagged with:



Leave a Reply

Your email address will not be published.